Verlaufsplanung zur Online-Veranstaltung "Digitale Autonomie durch Freie Software" (WiSe 2020/21)

Sitzung 04 KW 48 (2020-11-26): Audio/Video-Konferenzen mit Mumble und Jitsi 

Freigegeben unter CC BY-SA 4.0, Autor: Roland Hummel (rh AT fsfe.org), stud. Initiative #gnuHU (hu.berlin/gnuHU/)

Letzte Aktualisierung: 26. Nov 2020

# Ziele

Die TN sollen am Ende dieser Stunde,

1. wissen, warum die vorgestellten Lösungen Freie Software sind, also lernen, wo die entsprechenden Lizenz-Informationen gefunden werden können,

2. über das Suchen der Lizenz-Informationen erfahren, wo der Code einer Freie Software liegt (da die Lizenz-Informationen in der Regel im Code vermerkt sind),

3. wie sich verschiende Instanzen eines FLOSS-Dienstes finden und nutzen lassen,

4. die Lösungen auf selbst gesuchten Instanzen kurz genutzt haben.

# Sitzungsplanung (90min via Mumble)

## Begrüßung (10min)

- Durchzählen für Gruppenarbeit in Mumble

## Mumble (40min)

1. Projektseite finden

- Web-Suche? -> Wikipedia?
-- https://de.wikipedia.org/wiki/Mumble -> https://www.mumble.info/

2. Lizenz-Infos finden

Stichwortsuche mittels Browser-Suchfunktion:

https://www.mumble.info/

- "Documentation"
- "Wiki"
- "Development" -> Git Webview of Mumble Source -> LICENSE(.header)

> Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met: ...

-> verwenden, verteilen, verstehen, verändern

3. Instanzen finden

- Bedeuetung "Instanz"? -> Stufen, Einheit, Exemplar

3.1. geschlossen (kommerziell)

- kommerzieller Anbieter: https://www.mumble.info/ -> Documentation -> documentation wiki -> Suche: "Hosting" -> https://wiki.mumble.info/wiki/Commercial_Hosting -> https://wiki.mumble.info/wiki/Hosters

3.2. frei zugänglich -> machen wir jetzt

4. Frei zugänglich (offene) Instanzen nutzen (10min, zu zweit)

Aufgabe: Machen Sie zu zweit einen Ausflug in die virtuelle Mumble-Nachbarschaft, indem Sie sich gemeinsam einen Server aus der Liste öffentlicher Mumble-Server heraussuchen und diesen besuchen. Vermeken Sie ggf. Erfahrungen und Probleme im entsprechenden EtherPad-Abschnitt ihrer Gruppe.
Falls Ihr*e Partner*in Mikro-Probleme hat und Sie nicht kommunizieren können, bearbeiten Sie die Aufgabe bitte allein.

- Mumble -> Server -> Verbinden -> (Weltkugel) Internet - Öffentlich -> Kontent -> Land -> Server (Benutzer/Ping)
-- ggf. Zertifikatswarnung bejahen
-- Name wählen (Stichwort "Polyonymie": besser einen Fantasienamen wählen, ohne Leerzeichen!)
-- Verbindung beenden: Server -> Trennen/Disconnect
-- IfEE-Mumble: Server -> Verbinden -> Favoriten -> "IfEE Online"

Treffpunkt im Plenum: ???

Eindrücke aus der "Mumble-Safari":

Gruppe01

Gruppe02

Gruppe03

Gruppe04

Gruppe05

## Jitsi Meet (30min)

1. Projektseite finden

https://de.wikipedia.org/wiki/Jitsi -> https://desktop.jitsi.org/

2. Lizenz-Infos finden

https://desktop.jitsi.org/ -> Development -> Source Code -> Browse through the web repository -> https://github.com/jitsi/jitsi -> LICENSE

> Apache License
> Version 2.0, January 2004
> http://www.apache.org/licenses/

https://de.wikipedia.org/wiki/Apache-Lizenz

> Die Apache-Lizenz ist eine durch die Free Software Foundation anerkannte Freie-Software-Lizenz der Apache Software Foundation, jedoch keine Copyleft-Lizenz. 

3. Instanzen finden

- Möglichkeit1: kuratierte Listen wie https://github.com/jitsi/jitsi-meet/wiki/Jitsi-Meet-Instances (Projektseite der Entwickler*innen)
- Möglichkeit2: sich einen Server wählen *lassen* mit http://jitsi.random -redirect.de/ (Achtung, verbindet sofort mit einer Instanz) -> basiert auf https://github.com/jitsi/jitsi-meet/wiki/Jitsi-Meet-Instances

4. Instanzen nutzen (20min, zu zweit)

Bsp.: 
Ich möchte den Jitsi-Server https://meet.golem.de/ für eine Konferenz nutzen und kann, ohne den Dienst vorab überhaupt zu besuchen, durch Personalisierung der Adresse einen virtuellen Raum vorab auf dem Jitsi-Server festlegen, bspw. könnte der Raum für "Tim Test" und "Tina Test", die sich am 18. Mai 2020 treffen wollen, so vorab festgelegt werden: https://meet.golem.de/TimTestTinaTest20200518 -> durch Klick auf den Link wird der Raum erzeugt und Sie betreten den Raum sofort.

Wichtig für den personalisierten Teil der Adresse:
- Keine Leerzeichen
- keine Sonderzeichen
- kein abschließender Slash!

Aufgabe: Bereiten Sie eine 2er-Konferenz auf einem selbst gewählten Jitsi-Server vor, indem Sie jeweils einen Server aus der Liste öffentlicher Jitsi-Server heraussuchen, den Raum durch Adress-Personalisierung vorbereiten, sich dann mit dem Jitsi-Server verbinden und anschließend Ihrem*r Gruppen-Parter*in den Link zwecks Teilnahme zuschicken. Ziel ist, dass jede*r von Ihnen eine Jitsi-Konferenz vorbereitet hat und den Prozess aus Orga-Perspektive verstanden hat.
Vermerken Sie ggf. Erfahrungen und Probleme im entsprechenden EtherPad-Abschnitt ihrer Gruppe.
Falls Ihr*e Partner*in Mikro-Probleme hat und Sie nicht mdl. kommunizieren können, nutzen Sie den EtherPad-Abschnitt Ihrer Gruppe als Chat.
Hinweis: In Mumble über Lautsprechersymbol den Audio-Ausgabe und Mikrofon deaktivieren, nachdem der Jitsi-Instanz beigetreten wurde (sonst gibt es unschöne Echos). -> Sie können in Mumble durchaus online bleiben!

Treffpunkt nach Gruppenarbeit: IfEE-Mumble (Plenum), Zeit: ???

Gruppe01

Gruppe02

Gruppe03

Gruppe04

Gruppe05

## Puffer und ggf. Reflexionsphase (10min)

- IT-Sicherheit und Datenschutz: Woher weiß ich, ob Instanz X sicher ist?
