Verlaufsplanung zur Online-Veranstaltung "Digitale Autonomie durch Freie Software" (WiSe 2020/21)

Sitzung 06 KW 50 (2020-12-10): Digital-nachhaltige PR-Strategien durch freie, föderale soziale Netzwerke wie Mastodon, Diaspora und PeerTube

Freigegeben unter CC BY-SA 4.0, Autor: Roland Hummel (rh AT fsfe.org), stud. Initiative #gnuHU (hu.berlin/gnuHU/)

Letzte Aktualisierung: 13. Dez 2020

# Ziele

Die TN sollen am Ende dieser Stunde,

1. das DigitalCourage-Konzept zur passiven Nutzung unfreier soziale Netzwerke und entsprechende freie Alternativen kennenlernen, um eine digitale-nachhaltige PR-Strategie umsetzen zu können,

2. eines der freien sozialen Netzwerke ausprobiert haben.

# Sitzungsplanung (90min via BigBlueButton)

## Begrüßung (5min)

- Erst Theorie, dann Praxis

## Theorie (45min)

"I know what a toxic and insane place the Web has become today, but you have to understand that for me, when I first came into contact with it, the Internet was something totally different. It was like a friend, or a parent. We all wore masks, yet this culture of “anonymity through polyonymy” produced more truths than falsehoods, because it was creative and cooperative, rather than commercial and competitive. After the bubble… Companies realized that when people were online, they were more interested in sharing than in spending, and that the human connection the Internet made possible could be monetized: they simply had to find a way to get involved in these social exchanges, and profit from them. So began the capitalism of surveillance, dictating the end of the Internet as I knew it."
(Quelle: Roberto Saviano and Edward Snowden: "I'm fighting for the Internet to be free again. Zuckerberg? He'll repent", la Republica, 13. Sep. 2019, Hervorhebungen durch stud. Initiative #gnuHU.)

Aufgabe: Kurze Murmelphase (5min) zum Snowden-Zitat: Welche Erfahrungen hab ihr in euren "frühen Online-Tagen" hinsichtlich "Kreativität und Kooperation" im Internet gemacht?

- Bildanalyse der Grafiken: https://hu.berlin/nachhaltige-pr

Wie findet man Instanzen für freie, föderale soziale Netzwerke?

1. https://the-federation.info/ -> Serversuche am Bsp. "Mastodon" - Achtung: Lange Ladezeiten der Seite, da sie ihre Darstellungen immer live generiert und dazu Daten aus dem föderalen Netz ziehen muss, was etwas dauern kann.
2. -> "Projects": https://the-federation.info/mastodon
3. -> "All Mastodon nodes": Tabelle listet mögliche Kriterien zur "Servergüte" (gleiches Vorgehen wie bei der Suche nach einem E-Mail-Provider:
- Standort ("Country")?
- Ist der Server mit den meisten Usern ("Total users") zwingend der beste?
- Sind öffentliche Anmeldungen ("Open signups") überhaupt müglich?) 
- Auch bei "Version" muss die höchste nicht unbedingt die beste sein (ältere Versionen sind nicht zwingend schlecht, sondern können auch schlicht die stabileren sein, während neuere aufgrund neuer Features weniger getestet sind).
4. -> Klick auf Eintrag unter "Name" würde jetzt nochmal eine Statistik zum spezifischen Server aufrufen, Bsp.: "chaos.social" -> https://the-federation.info/node/chaos.social -> dort steht unter der Überschrift dann ein Untertitel, der auf den eigentlichen Server verlinkt: https://chaos.social/

## Praxis (40min)

Freie Alternative zu Facebook/Twitter/Instagram/? kennenlernen

2.1. Ohne Accounterstellung:

Entwickeln Sie bspw. mit Hilfe von https://the-federation.info/ eine digital-nachhaltige PR-Strategie (privater Bereich / Arbeitgeber), indem Sie zu den genutzten unfreien Diensten die entsprechenden freien Dienste nebst geeigneten Instanzen (-> Impressum) recherchieren.

2.2. Mit Accounterstellung:

Falls Sie bereits einen Account bei einem der bekannteren unfreien sozialen Netzwerke haben, suchen Sie sich eine entsprechende freie Alternative, erstellen Sie sich dort einen Account und veröffentlichen Sie Ihren jüngsten Beitrag in der freien Alternative.

Beispiele unfreie -> freie soziale Netzwerke:
- Facebook -> Diaspora: https://the-federation.info/diaspora / Friendica: https://the-federation.info/friendica
- Twitter -> Mastodon: https://the-federation.info/mastodon
- Instagram -> PixelFed: https://the-federation.info/pixelfed
- YouTube -> PeerTube: https://the-federation.info/peertube
