Verlaufsplanung zur Online-Veranstaltung "Digitale Autonomie durch Freie Software" (WiSe 2020/21)

Sitzung 07 KW 51 (2020-12-17): Freie, föderale (Kollaborations-)Messenger am Beispiel des Matrix-Netzwerks (Theorie)

Freigegeben unter CC BY-SA 4.0, Autor: Roland Hummel (rh AT fsfe.org), stud. Initiative #gnuHU (hu.berlin/gnuHU/)

Letzte Aktualisierung: 17. Dez 2020

# Ziele

Die TN sollen am Ende dieser Stunde,

1. den Unterschied zwischen zentralisierten, dezentralen und föderalen Messengern und
2. das Matrix-Netz anhand von Element als Beispiel für einen föderalen Messenger kennenlernen.

# Sitzungsplanung (90min)

## Begrüßung (10min via BigBlueButton)

## XMPP (20min via BigBlueButton)

- https://de.wikipedia.org/wiki/Extensible_Messaging_and_Presence_Protocol
- vormals "Jabber"
- https://xmpp.org/ - definiert nur Standards, setzt diese nicht um
- https://xmpp.org/software/clients.html
- https://www.kuketz-blog.de/conversations-sicherer-android-messenger/ -> Artikel erklärt wunderbar die Vorteile föderaler Systeme im Gegensatz zu zentralisierten

- Aufgabe: Ordnen Sie ihnen bekannte Systeme/Verfahren (welche auch immer Ihnen einfallen) nach "föderal" und "zentralisiert" (5min, alle zusammen in der EtherPad-Übersicht).
-- zentralisiert:
Bsp.: WhatsApp

-- föderal:
Bsp.: Telefonanbieternetzwerk in Deutschland

- Chat zwischen XMPP-Client "Gajim" (humelro@chat.hu-berlin.de) und der Chat-Funktion von "Thunderbird" (rh AT fsfe.org)

## Einführung in [matrix] (60min via BigBlueButton)

- Visualisierung des Matrix-Netzwerks: https://voyager.t2bot.io/#/
- https://matrix.org/
-- Clients: https://matrix.org/clients/
--- „Element“ als Referenz-Client: https://element.io/
---- Element-Web-App: https://app.element.io/ 
--- matrix.org als Referenz-Server (wenn man sich über den „free“-Plan in Element anmeldet, bekommt man einen Account auf diesem Server → Problem der starken Zentralisierung)
- alternative Matrix-Server bspw. über: https://www.hello-matrix.net/public_servers.php

### Beispiel-Erstellung eines [matrix]-Accounts

- https://www.hello-matrix.net/public_servers.php → tchncs.de
- https://tchncs.de/matrix → „Create your Account“ → https://chat.tchncs.de/#/register
- obligatorisch sind nur Username und Passwort, E-Mail aber sinnvoll für Passwort-Resets
- „Username“ wird Teil der Matrix-ID (MXID): @user:exampe.com → beachte das abweichende Format zu E-Mailadressen (user@example.com): Matrix-IDs beginnen mit einem @ und haben vor der Serverangabe einen Doppelpunkt! Sinn der Sache: Keine Verwechslung mit E-Mail-Adressen möglich (wie bei XMPP).

### Erste Schritte „in der [matrix]“

- Besonderheit: Raumkonzept
-- in Matrix läuft alle Kommunikation in Räumen ab
-- Räume können keinen User, 1 User oder viele User enthalten
-- Unterscheidung in „People“ (2er-Chats) und „Rooms“ (Gruppen-Chats) nur deswegen, weil User verbreiteterer Messenger das so gewöhnt sind
→ jederzeit kann in Matrix aus einem Raum mit nur 2 Personen ein Raum mit 2+ Personen gemacht werden und andersrum
-- Raum mit nur 1 Person bspw. als „Mini-Dropbox“ sinnvoll
-- Inhalte von Räumen werden auf die Server aller beteiligten User synchronisiert → die Kommunikationsfähigkeit hängt nicht davon ab, dass der Server, auf dem der Raum ursprünglich mal erstellt wurde, dauerhaft online ist (anders als bei XMPP, wo dann niemand mehr den Gruppenchat benutzen könnte)
-- Raum kann beliebig viele Adressen haben, Format: #raumname:example.com (also mit # am Anfang statt @ wie bei Matrix-IDs)
- Markdown-Support: https://de.wikipedia.org/wiki/Markdown
- Nutzung des Accounts von anderen Matrix-Web-Apps möglich: @user:tchncs.de kann sich also auch auf https://element.io/ einloggen und andersrum kann @user:matrix.org sich auch über https://chat.tchncs.de/ einloggen
-- Als Username am besten immer die komplette Matrix-ID (@user:example.com) angeben, damit die Web-App sofort weiß, auf welchem Server sich der Username befindet
- für verschlüsselte Kommunikation sollte der Desktop-Client genutzt werden: https://element.io/get-started 
