Verlaufsplanung zur Online-Veranstaltung "Digitale Autonomie durch Freie Software" (WiSe 2020/21)

KW 01 (2021-01-07): Freie, föderale (Kollaborations-)Messenger am Beispiel des Matrix-Netzwerks (Praxis)

Freigegeben unter CC BY-SA 4.0, Autor: Roland Hummel (rh AT fsfe.org), stud. Initiative #gnuHU (hu.berlin/gnuHU/)

Letzte Aktualisierung: 8. Jan. 2021

# Ziele

Die TN sollen am Ende dieser Stunde,

1. eine Matrix-ID registriert haben,
2. eine Kommunikation über das Matrix-Netzwerk mit dem Referenz-Client "Element" durchgeführt haben.

# Sitzungsplanung (90min via Mumble)

## Begrüßung (5min)

- Durchzählen für Gruppenarbeit in Mumble
- wichtig für heutige Sitzung: Schrittfolge abwarten, nicht schon etwas machen, was noch gar nicht gefordert ist, damit wir synchron bleiben

## Matrix/Element in der Praxis (85min)

Allgemeines Ziel: Matrix-ID (Account) auf einem der kleineren Matrix-Server anlegen, also nicht auf matrix.org. Falls Sie bereits eine Matrix-ID besitzen:

- helfen Sie bitte Gruppen, die in den entsprechenden Mumble-Räumen nach Hilfe fragen oder
- legen Sie sich einen Testaccount an, falls Sie Ihre Matrix-ID in der heutigen Sitzung nicht mitteilen wollen oder
- falls Sie ihren Account auf matrix.org haben legen Sie sich einen Reserve-Account auf einem alternativen Matrix-Server an.

Schrittfolge:

### 1. Matrix-Client installieren

Bitte installieren Sie den Matrix-Client "Element" von https://element.io/ :

- min. in der Desktop-Version (GNU/Linux-User sollten zunächst versuchen, aus den distributionseigenen Paketquellen/Softwareverwaltung zu installieren, bspw. über die Softwareverwaltung)
- sofern ein Smartphone vorhanden ist möglichst auch die Mobil-Version

Notieren Sie Fragen/Probleme nachfolgend (und auch, wenn Sie mit dem Schritt fertig sind):

- fertig (+):
- Probleme:

### 2. Matrix-Provider festlegen

Einigen Sie sich in Ihrer Gruppe auf einen Matrix-Provider, bspw. von der kuratierten Liste https://www.hello-matrix.net/public_servers.php - möglich wären bspw. diese: 

- matrix.netzgemeinde.eu
- matrix.bau-ha.us
- matrix.allmende.io
- tchncs.de
- nitro.chat

Registrieren Sie an dieser Stelle aber noch keinen Account!

Notieren Sie nachfolgend bitte hinter Ihrer Gruppe, welchen Server Ihre Gruppe gewählt hat, damit Ihnen bei Problemen sofort geholfen werden kann:

- Gruppe 01: 
- Gruppe 02: 
- Gruppe 03: 
- Gruppe 04: 
- Gruppe 05: 
- Gruppe 06: 

Nach der Provider-Festlegung geht es mit dem nächsten Schritt weiter:

### 3. Matrix-Account im Element-(Web-)Client registrieren

Die Registrierung führen Sie idealerweise über den installierten Desktop-Client durch oder, falls Sie die Installation vorab nicht vornehmen konnten, alternativ über den Web-Client (dann idealerweise und sofern vorhanden über den des gewählten Servers/Providers erfolgen, denn nicht alle Matrix-Instanzen stellen auch einen Web-Client zur Verfügung, was aber kein Problem ist, denn ist eine Registrierung ist von jedem Matrix-Client zu jedem Provider möglich).

Den Web-Client findet man ggf., wenn man sich auf den Projektseiten ein wenig nach den entsprechenden Stichworten umschaut ("Element", "Chat"), also bspw.:

- matrix.allmende.io (de) -> https://element.allmende.io/
- tchncs.de -> https://chat.tchncs.de/

Im Client wählen Sie nun "Create Account" (müsste eigentlich heißen: "Create Matrix-ID/MXID") und hangeln sich an den folgenden Stichpunkten entlang. Hier geht es also letztlich darum, eine Matrix-ID zu erstellen, die das folgende Format haben wird: @username:example.com - also bspw. "@testuser-digiauton2020-21:junta.pl" (Vergleich Format E-Mail: username@example.com - das @ ist bei der MXID also *nicht* in der Mitte, sondern am Anfang und in der Mitte befindet sich ein Doppelpunkt, sodass Matrix-IDs nicht mit E-Mailadressen verwechselt werden können)

- Falls Sie einen Web-Client gewählt haben, der nicht zu ihrem gewählten Provider passt (weil der Provider bspw. keinen zur Verfügung stellt): Über "Edit" die Option "Other homeserver" auswählen und dort den unter 1. gewählten Provider eintragen, also bspw. für matrix.netzgemeinde.eu -> https://matrix.netzgemeinde.eu

- "Username" ist der Teil des Matrix-ID-Formats @username:example.com, der sich zwischen @ und :example.com befindet (wenn Sie nur einen Testaccount anlegen wollen, machen Sie das den Serverbetreibern freundlicherweise deutlich, indem Sie irgendwas mit "testuser" anlegen, also bspw. "testuser-digiauton2020-21")
- Passwort: bitte nehmen Sie für diesen Fall etwas leichtes wie "changeme123" (kopieren&einfügen, um Tippfehler zu vemeiden), da wir im Verlauf der Sitzung die zu erstelltende Matrix-ID noch auf einem anderen Web-Client anmelden werden, Sie das Passwort also nochmals an anderer Stelle benötigen 
- "Email (optional)" wird "nur" benötigt, um das Passwort zurücksetzen zu können
-> Register

- Bitte Matrix-IDs hier notieren, damit ich ich Sie in den Raum #digiauton2020-21:tchncs.de einladen kann (Bsp.: @testuser-digiauton2020-21:tchncs.de):
-- @*******:matrix.org
-- @******:tchncs.de
-- @************:matrix.org
-- @**:tchncs.de

Der Raum ist unverschlüsselt, damit wir später bestimmte Features testen können, die mit Verschlüsselung noch nicht funktionieren. Nachträglich Räume verschlüsseln geht immer, aber Verschlüsselung nachträglich zu deaktivieren nicht (nur dadurch, einen neuen Raum zu erstellen).

### 4. Multi-Login auf zweitem Client

Damit Sie sehen, dass es erstens technisch egal ist, welchen Element-Web-Client Sie nutzen (Sie müssen nicht immer den Web-Client Ihres "Heimservers" nehmen) und zweitens, dass Element ein Multi-Client-Messenger ist (Sie können mit beliebig vielen Geräten eingeloggt sein), loggen Sie sich bitte mit ihrer MXID *zusätzlich* 
- entweder auf dem Mobil-CLient Ihres Smartphones ein
- oder in einem neuen Browser-Fenster auf einem *anderen* Web-Client

Hier eine Liste einiger (weiterer) möglicher Element-Web-Clients:

- https://element.allmende.io/
- https://chat.tchncs.de/
- https://app.nitro.chat/

Wählen Sie in beiden fällen "Sign in" und tragen unter "Username" Ihre Matrix-ID ein, also "@user:example.com", was Sie andernfalls erst über die Servereinstellungen angeben müssten).

Notieren Sie Fragen/Probleme im folgenden EtherPad-Abschnitt Ihrer Gruppe (und auch, wenn Sie mit dem Schritt fertig sind):

Gruppe01

Gruppe02

Gruppe03

Gruppe04

Gruppe05

### 5. Kontaktaufnahme

Nun wollen wir via Matrix kommunizieren. Wechseln Sie in Mumble Ihre*n Gruppen-Partner*in, damit Sie für die erste Kommunikation eine*n Partner*in haben, die nicht auf dem selben Server registriert ist (denn wie bei E-Mail ist es technisch egal, wo jemand im Matrix-Netzwerk seinen Account registriert hat).

Fügen Sie über das +-Zeichen unter "People" ihre*n Gruppen-Partner*in via Matrix-ID als Kontakt hinzu. Technisch wird in beiden Fällen ein Matrix-Raum erstellt. Matrix unterscheidet nicht zwischen 2er- und Gruppen-Chats (es wird in jedem Fall ein Matrix-Raum erstellt, den Sie auch nur für sich allein nutzen können, um sich Nachrichten/Datein von einem Gerät zum anderen zu schicken).

5.1. Falls Sie + unter "Direct Messages" wählen, fügen Sie die Matrix-ID ein und wählen "Go". Daraufhin wird der Raum erstellt.

5.2. Falls Sie + unter "Rooms" wählen, geben Sie einen Raumnamen an ("Testchatraum mit X") und bestätigen die Raumerstellung mit "Create Room". Danach laden Sie die Matrix-ID über "Invite to this room" ein.

Das Ergebnis ist in beiden Fällen das selbe: Es wurde ein Matrix-Raum erstellt (in dem sich keine Person, eine Person, 2 Personen oder mehr als 2 Personen aufhalten können - nicht anders als bei physischen Räumen).

5.3. Falls es Wartezeiten gibt (die anderen Gruppen also noch nicht bei diesem Schritt sind), erstellen Sie einen Raum nur für Sie selbst und schicken Sie sich bspw. eine Einkaufsliste (bspw. vom Desktop-Client zum Mobil-Client).

Notieren Sie Fragen/Probleme im folgenden EtherPad-Abschnitt Ihrer Gruppe (und auch, wenn Sie mit dem Schritt fertig sind):

Gruppe01

Gruppe02

Gruppe03

Gruppe04

Gruppe05

### 6. Testen der Chat-Funktionen

Einige Matrix-„Nettigkeiten“:

- Markdown-Support beim Verfassen von Nachrichten: https://de.wikipedia.org/wiki/Markdown
- Rauminhalte werden über alle beteiligten Server gesynct (die Verfügbarkeit eines Raumes hängt nicht an einem bestimmten Server)
-- lässt sich auch super verwenden, um auf einen anderen Server umzuziehen: neue MXID in bestehende Räume einladen, Inhalte werden auf neuen Server übertragen, mit altem Account Räume verlassen, Umzug erledigt, ohne jemanden bitten zu müssen, die neue ID zu adden
- Raum-Addons („Integrations“), Bsp.: Etherpad

Notieren Sie Fragen/Probleme im entsprechenden EtherPad-Abschnitt Ihrer Gruppe:

Gruppe01

Gruppe02

Gruppe03

Gruppe04

Gruppe05
