Verlaufsplanung zur Online-Veranstaltung "Digitale Autonomie durch Freie Software" (WiSe 2020/21)

KW 03 (2021-01-21): Podcasts erstellen mit Audacity

Freigegeben unter CC BY-SA 4.0, Autor: Roland Hummel (rh AT fsfe.org), stud. Initiative #gnuHU (hu.berlin/gnuHU/)

Letzte Aktualisierung: 21. Jan 2021

# Ziele

Die TN sollen am Ende dieser Stunde wissen, wie Sie einfache Audio-Beiträge mit Audacity unter einer freien Lizenz erstellen können, also:

1. Einführung in CreativeCommons
2. Aufnahme erstellen
3. Aufnahme zurechtschneiden/Fehler herausschneiden
4. Hintergrundrauschen entfernen
5. Intro/Outro
6. Fade-In/Out
7. Exportieren

# Sitzungsplanung (90min via BigBlueButton)

## Begrüßung (5min)

- Konzept der heutigen Sitzung: Einzelarbeit mit Theorie und Praxis im Wechsel
-- wer mit einem Schritt schneller fertig ist, kann experimentieren
- Hinweis für letzte Sitzung: Verbesserungsvorschlag überlegen

## Einführung in Audacity (80min)

### Motivation Podcasts

- Hinweis: Falls sichergestellt ist, dass alle TN *vorab* (und garantiert ausnahmslos) Audacity installiert haben, kann dieser Abschnitt auch als Gruppenarbeit/via Murmelphase zusammengetragen/diskutiert werden (andernfalls fehlt dazu in 90min die Zeit).

- Ausgangsthese: Digitale Semester könnten mehr Potential entfalten, gäbe es mehr a-synchrone Lehrangenbote. Aktuell werde viele syn-chrone Vor-Corona-Lehrveranstaltungskonzepte "eins zu eins" in den digitalen Raum übertragen (also syn-chrone Lehrveranstaltungsverfahren verwendet). Die Stärke digitaler Lehre besteht aber vor allem darin, diejenigen erreichen zu können, die durch synchrone Lehrformate eher banchteiligt werden wie
-- Nicht-Muttersprachler*innen (komplexeren Vorlesungen zu folgen ist bereits für Muttersprachler*innen eine Herausforderung und wir alle kennen Situationen, in der die Möglichkeit, beim Hören einer Vorlesung einige Sekunden "zurückspringen" zu können, dem Lernprozess sehr dienlich gewesen wäre und zeitintensives nachfragen/nachforschen vermieden hätte)
-- Student*innen mit Kindern
-- kranke Student*innen (Veranstaltungsbesuch trotz Krankheit aus Angst, etwas zu verpassen)

-> Audacity stellt eine einfache Möglichkeit dar, Lehrinhalte zu digitalisieren und "podcastartig" zur Verfügung zu stellen. Das (wenige) Wissen, das zur Erstellung von entsprechenden Aufnahmen nötig ist, soll in der heutigen Sitzung vermittelt werden, sodass es auch an Dozent*innen im eigenen Umfeld weitergegeben werden kann.

### Praktisches Ziel der heutigen Sitzung

- Erstellung Sie einen kurzen Audio-Beitrags mit Audacity.
-- einfache Schnitte
-- Rauschentfernung
-- Fade In/Out-Effekt
- Lizenzierung unter einer freien Lizenz (auch mdl. im Beitrag)
- Reflexion der Lizenzfrage mit https://creativecommons.org/choose/

-> Aufgabe wird Schritt für Schritt behandelt

### 1. Lizenzfrage klären

Auch als Nicht-Programmier*innen können Sie den Gedanken Freier Software auf Ihre digitalen Beiträge anwenden, indem Sie Inhalte unter die gleichen Freiheiten stellen wie Entwicklerinnen den Quelltext Freier Software. Ein Ansatz dafür: Creative Commons 

- https://creativecommons.org/choose/

- Beispiel: CC BY-SA 4.0 -> die vierte (internationale) Creative Commons Lizenzversion, die es erlaubt, dass ein Beitrag beliebig verwendet werden darf (auch kommerziell), solange
-- die ursprünglichen Autor*innen immer genannt werden (BY)
-- Veränderungen ebenfalls unter CC BY-SA 4.0 erfolgen (ShareAlike)
-- Problem "NC" (NonCommercial): Häufig sind Bereiche kommerziell, die man zunächst nicht als solche vermuten würde, auch im Bildungsbereich -> Gefahr des Ausschlusses der Verwendung des Beitrags in einem Bereich, der eigentlich erreicht werden sollte

Aufgabe: Klicken Sie sich mit https://creativecommons.org/choose/ eine Lizenz für einen öffentlichen Podcast zusammen, den Sie in einem sozialen Netzwerk veröffentlich wollen. Schreiben Sie ins Pad, welche Kombination Sie erstellt haben (Kürzel uind Volltext):

- Bsp.: CC BY-SA 4.0 (Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License.)

### 2. Audacity installieren

- https://www.audacityteam.org/ (GNU/Linux-User möglichst via Paketverwaltung)

Bitte hier melden, wenn fertig:

### 3. Aufnahme erstellen

Sie könnten bspw. den ersten Absatz des Artikels https://de.wikipedia.org/wiki/Freie_Software vorlesen und aufnehmen. Wer gerne singt, könnte auch den Free Software-Song singen (den Text gibt es unter https://www.gnu.org/music/free-software-song.html nebst verschiedenen Interpretationen von FLOSS-Aktivist*innen, bspw.

- Richard Stallman: http://audio-video.gnu.org/video/stallman_free_software_song_320x240.ogv
- Katie Herzog: https://www.gnu.org/music/free-software-song-herzog.ogg

Vergessen Sie nicht, 
- anfangs die Lizenz zu nennen, unter der die Datei steht (so kann dies von niemandem überhört werden)
- Ihre Aufnahme anschließend als Audacity-Projektdatei (*.aup) zu speichern (File -> Save Project). Die AUP-Datei ist noch keine Datei, die sich am Ende von einem Audio-Player abspielen lässt, sondern eine Arbeitsdatei. Der Export in eine gängige Audio-Datei erfolgt erst am Ende/im letzten Schritt.

Falls Sie Fehler machen ,versuchen Sie, nicht den kompletten Text neu einzusprechen/einzusingen, sondern diese (im nächsten Schritt) durch Editierung zu beseitigen.

Beispiel-Sprachdatei, falls Sie Ihr Mikro von Audacity nicht erkannt wird: https://upload.wikimedia.org/wikipedia/commons/6/6f/Voyager_Golden_Record_greeting_in_English.ogg
 -> Rechtsklick auf Web-Player -> Save Audio As... -> Voyager_Golden_Record_greeting_in_English.ogg -> In Audacity öffnen über File -> Open...
 
Fertig?

### 4. Aufnahme zurechtschneiden/Fehler herausschneiden

Durch Markierung entsprechender Abschnitte der Aufnahme mit der Maus (evtl. auch mit Shift+Pfeiltaste links/rechts?) lassen sich die markierten Bereiche selektiv bearbeiten (bspw., durch die Entfernen-Taste komplett herauslöschen) oder mittels bekannter Copy/Paste-Kommandos ersetzen. Zu lange Pausen zwischen zwei Sätzen, am Anfang oder am Ende oder ein "ähm"/"öhm" zu viel lassen sich so schnell entfernen, ohne etwas komplett neu aufnehmen zu müssen.

Mit Ctrl/Strg+Mausrad oder über das -/+-Lupensymbol lässt sich in die Aufnahme herein- und herauszoomen.

### 5. Hintergrundrauschen entfernen

Da manche Aufnahmeumgebungen ein Hintergrundrauschen erzeugen (bspw. durch den Lüfter, wenn man das interne Mikro eines Notebooks nutzt), lässt sich dieses Rauschen durch Effect / Filter -> Noise Reduction / Rauschreduzierung dämpfen. Der Weg dahin ist etwas klicklastig und besteht in den Anweisungen, die der genannte Filter nennt, die allerdings nicht ganz intuitiv sind:

1. Effect → Noise Reduction... → OK → mit Strg+A die gesamte Tonspur selektieren
2. Effect → Noise Reduction… → Get Noise Profile → mit der Maus einige Sekunden der Tonspur selektieren, auf der das Rauschen zu hören ist
3. Mit Strg+A die gesamte Tonspur selektieren, um anschließend den justierten Filter auf die gesamte Tonspur anzuwenden
4. Effect → Noise Reduction… → OK
5. Ggf. mit Strg+Z und Shift+Strg+Z einen (optischen) Vorher-Nachher-Vergleich durchführen: Die Tonspur sollte durch den Filter optisch „gedämpft“ worden sein.

### 6. Anfang und Ende durch Fade-In/Out verbessern

Abrupt beginnende oder endende Aufnahmen sind unangenehm. Daher sollten Sie einige Sekunden am Anfang und Ende selektieren und dann über Effect / Filter -> Fade-In/Out bzw. Einblenden/Ausblenden langsam akustisch ein- bzw. ausblenden.

### 7. Export in Ausgabeformat

- File -> Export
- MP3: bekanntes, datenreduziertes Format (geringere Qualität zugunsten geringen Speicherbedarfs), das allerdings nicht immer patenfrei war und deswegen in Freier Software nicht so einfach verwendet werden konnte
- Ogg (Vorbis): ähnliches Ziel wie MP3, allerdings von Beginn an patentfrei -> Standardformat für Audio-Beiträge in der Wikipedia, daher im Zweifel eine gute, nachhaltige Wahl für einfache Sprachbeiträge
- WAV: Wave, das Standardformat von Audio-CDs, sehr hohe Qualität, aber auch hoher Speicherplatzbedarf
- mehr Ausgabeformate gibt es unter File -> Export -> Export Audio. Ein nicht-datenreduziertes, aber dennoch komprimiertes Format wäre FLAC (ähnliche Qualität wie Wave bei verhältnismäßig geringem Speicherverbrauch).

- weitere Hilfe: https://manual.audacityteam.org/quick_help.html
