Verlaufsplanung zur Online-Veranstaltung "Digitale Autonomie durch Freie Software" (WiSe 2020/21)

Sitzung 2021-01-28 KW 04: KW 04 (2021-01-28): Screencasts erstellen mit Open Broadcaster Software (OBS) und OpenShot 

Freigegeben unter CC BY-SA 4.0, Autor: Roland Hummel (rh AT fsfe.org), stud. Initiative #gnuHU (hu.berlin/gnuHU/)

Letzte Aktualisierung: 1. Mrz. 2021

# Ziele

Die TN sollen am Ende dieser Stunde wissen

1. wie eine einfache Audio+Video-Aufnahme des eigenen Bildschirminhalts mit OBS durchgeführt werden kann,
2. wie die Aufnahme mit OpenShot geschnitten und mit einem Fade-In/Out versehen sowie in ein bestimmtes Format exportiert werden kann.

Wenn möglich, sollten OBS, VLC und OpenShot vorab installiert werden, um Zeit zu sparen und falls sichergestellt werden kann, dass dies dann bei Veranstaltungsbeginn wirklich der Fall ist (und nciht die Hälfte es "vergessen" haben kann).

# Sitzungsplanung (90min via BigBlueButton)

## Begrüßung (10min)

- Hinweis Artikel zu Audacity in Moodle: https://moodle.hu-berlin.de/course/view.php?id=99634#section-12
- Hinweis Fragensammlung letzte Sitzung (Verbesserungsvorshcläge für Freie Software)
- Hinweis Artikel zu OBS im Anschluss

## 1. OBS installieren

- "Open Broadcaster Software"
- https://obsproject.com/ (GNU/Linux-User möglichst via Paketverwaltung: "OBS" oder "Open Broadcaster Software" suchen)
- Bitte noch nicht den "Autokonfigurationsassitenten" durchführen, falls dieser erscheint. Dies machen wir gemeinsam im nächsten Schritt.

Hinweis: Falls OBS meldet, dass die vorgefundene Hardware- oder Softwarekonfiguration für die Aufnahmefunktion nicht ausreicht, ignorieren Sie diesen Schritt. Für diesen Fall gibt es später eine "Sonderlösung" (Sie bearbeiten dann ein vorgefertigtes Video - laden Sie dazu bspw. das Video unter https://www.fsf.org/blogs/community/user-liberation-watch-and-share-our-new-video/ herunter, bspw. in der 360p-Fassung: https://static.fsf.org/nosvn/FSF30-video/FSF_30_360p.webm).
Alternativ können Sie auch nach einer anderen (möglichst Freien) Screencast-Software suchen. Wir benötigen an dieser Stelle zunächst nur ein Programm, um bewegte Bildschirminhalte aufnehmen zu können (und wir nehmen dafür OBS, um Berühungsängste mit dieser mächtigen Software abzubauen, da sie noch weitaus mehr kann und es sich deswegen lohnt, sie zu nutzen).

Bitte hier melden, wenn fertig:

## 2. Erstkonfiguration (10min)

Aufgabe: Bitte lassen Sie den Autokonfigurationsassitenten durchlaufen (Tools / Werkzeuge ->  Auto-Configuration Wizard / Autokonfigurationsassitenten) mit folgenden Einstellungen...
- "Für Aufnahme optimieren"
- "Basis-Leinwand-Auflösung: 1280x720"
- "FPS: 30"
- (ggf. Test durchlaufen lassen)
 -> Einstellungen übernehmen (=fertig)
...und geben Sie Bescheid, sobald Sie fertig sind: 

## 3. Weiteren Konfigurationen für Aufnahme (10min)

Aufgabe 3.1. - Szenen einstellen:
Richten Sie 2 Quellen zur "Szene" ein und geben Sie im EhterPad Bescheid, sobald Sie fertig sind:
- Bildschirmaufnahme (...) / Screen Capture (...)
- Audieingabeaufnahme (...) / Audio Input Capture (...)

Fertig?

Aufgabe 3.2. - Speicherpfad einstellen:
Stellen Sie unter Datei/File -> Einstellungen/Settings -> Ausgabe/Output -> Aufnahmepfad/Recording Path den Zielordner für die Aufnahme ein (bspw. Desktop/Schreibtisch/irgendetwas, was Sie leicht wiederfinden) -> OK.
Geben Sie im EhterPad Bescheid, sobald Sie fertig sind: 

## 4. Screencast/Bildschirm-Aufnahme mit OBS erstellen (10min)

Aufgabe: Erstellen Sie Material für ein Video-Tutorial. Falls Ihnen spontan nichts einfällt, könnten Sie ihren Bildschirm aufnehmen, während Sie mit Audacity eine Aufnahme anfertigen, um daraus ein Audacity-Tutorial zu erstellen. Die Aufnahme befindet sich zuvor definierten Pfad. Geben Sie im Ehterpad Bescheid, sobald Sie fertig sind:

Hinweis:
- Ein guter freier Software-Player, um die Videoaufnahme abzuspielen, ist der VLC Player: https://www.videolan.org/
- Falls die Aufnahmefunktion bei Ihnen nicht funktioniert, ignorieren Sie diesen Schritt. Für diesen Fall gibt es später eine "Sonderlösung" (Sie bearbeiten dann ein vorgefertigtes Video - laden Sie dazu bspw. das Video unter https://www.fsf.org/blogs/community/user-liberation-watch-and-share-our-new-video/ herunter, bspw. in der 360p-Fassung: https://static.fsf.org/nosvn/FSF30-video/FSF_30_360p.webm).



## 5. Aufnahme schneiden mit OpenShot (40min)

### OpenShot installieren


- https://www.openshot.org/ (GNU/Linux-User möglichst via Paketverwaltung, hier gäbe es allerdings auf der Homepage auch ein Linux-"AppImage" mit der neuesten Version)

Fertig?

### Aufgabe 5.1 - Videoimport:

5.1.1. Wichtig: "Projekt" speichern über Datei/File -> Save Project as... 
5.1.2. Importieren Sie ihr "Roh-Material" in OpenShot über File/Datei -> File Import/Dateien importieren (die importierte Dateie landet dann oben links im Bereich "Projektdateien").
5.1.3. Ziehen Sie das Rohmaterial in die oberste Spur der unteren Programmfensterhälfte.

Geben Sie Bescheid, wenn Sie mit diesem Schritt fertig sind:

### Aufgabe 5.2 - Schnitt:

Schneiden Sie Ihr Videomaterial mit dem Schnittwerkzeug (Schere) zurecht (an dieser Stelle egal, ob sinnvoll oder nicht).
Gelden Sie im EtherPad Bescheid, wenn Sie mit diesem Schritt fertig sind:

### Aufgabe 5.3 - FadeIn/Out:

Fügen Sie ein Fade-In/Out am Anfang und Ende hinzu. Der Effekt findet sich über Rechtsklick auf die Video-Sequenz -> Ausblenden -> Filmanfang/Filmende/Ganzer Film -> schnell (kurz) / langsam (lang). Melden Sie im EtherPad, wenn Sie fertig sind.

### Aufgabe 5.4 - Videoexport:

Abschließend müssen Sie das Videoprojekt in ein Video-Ausgabeformat exportieren, damit es mit entsprechenden Playern abgespielt werden kann. MP4 ist hier als bekanntes Format voreingestellt.

Exkurs zu Videodateiformaten: MP4 ist kein Format, was ursprünglich als freies Format entwickelt wurde (vgl. Exkurs zu "MP3" in der Audacity-Sitzung). Obwohl die Lizenzproblematik dahinter mittlerweile so nicht mehr gegeben ist, schadet es aus Archivierungs-Perspektive nie, falls möglich auch einen Export in das von Anfang an als freies Format entwickelt **WebM** vorzunehmen (unter macOS gibt es diese Option leider nicht, was damit zusammenhängt, dass macOS/Apple-Systeme meiner Erfahrung nach WebM nicht abspielen können, was vielleicht damit zusammenhängt, dass dieses Format ursprünglich von Google entwickelt wurde und dies nicht in Apples Produktpolitik passt, vgl. https://discussions.apple.com/thread/3961142).

Für den WebM-Export können 2 Wege gewählt werden:
File -> Export Video...
-> Simple (einfacher Weg)
    -> Target: WEBM (Option gibt es bei Mac nicht)
-> Advanced (Weg für kleinteilige Einstellungen)
    -> Video Settings
    Video format: webm
    Video codec: libvpx
    Bit Rate / Quality: 8Mb/s

    -> Audio Settings
    Audio Codec: libvorbis
    Sample Rate: 44100
     # of Channels: 2
    Bit Rate / Quality: 320 kb/s
    
Für MP4-Export:
File -> Export Video...
    Profile: Web
    Target: YouTube-HD
    Video Ürpfile: (Auflösung und FPS analog zu dem, was in OBS gewählt wurde)
    Quality: Low/Med/High (je nach gewünschtem Verhältnis aus "Pixelbrei" und Dateigröße)
