Verlaufsplanung zur Online-Veranstaltung "Digitale Autonomie durch Freie Software" (WiSe 2020/21)

KW 06 (2021-02-11): Perspektivwechsel in der Wirklichkeitswahrnehmung des digitalen Raumes durch alternative Suchmaschinen

Freigegeben unter CC BY-SA 4.0, Autor: Roland Hummel (rh AT fsfe.org), stud. Initiative #gnuHU (hu.berlin/gnuHU/)

Letzte Aktualisierung: 1. Mrz. 2021

# Ziele

Die TN sollen am Ende dieser Stunde,

1. die Meta-Suchmaschine Searx

- auf einer selbst gewählten Instanz,
- hinsichtlich der verwendeten Suchmaschinen zu konfigurieren und
- hinsichtlich der Suchbefehle zu nutzen wissen.

2. Die föderale Suchmaschine YaCy für das Suchen und Crawlen/Indexieren von Seiten kennenlernen.

3. Ein reflektierteres Bewusstsein über die Abhängigkeit von IT-Konzernen hinsichtlich der Wirklichkeitswahrnehmung im digitalen Raum entwickelt haben.

ACHTUNG: YaCy benötigt etwas Rechenleistung, weswegen auf älterer Hardware überlegt werden sollte, statt BigBlueButton besser Mumble zu nutzen, damit das System nicht während der Präsentation abstürzt (BigBlueButton ebenfalls relativ viel Rechenleistung benötigt bzw. die Teilnahme unter hoher Auslastung instabil wird).

# Sitzungsplanung (90min)

## Begrüßung (10min)

- Hinweis Gastvortrag nächste Sitzung
- Evaluation des Kurses möglich (Box/Kasten oben rechts in Moodle)

### Einstiegsfrage

Welche Suchmaschinen kennen/nutzen Sie (YaCy und Searx ausgenommen) und wie zufrieden sind Sie bei den von Ihnen verwendeten mit der Nutzung im Alltag (Mehrfachangaben erwünscht, + = "zufrieden", # = "geht so", - = "unzufrieden")?
Bsp.: "Google: #" (= "Ich nutze u.A. Google und bin mit der Sucherfahrung semi-zufrieden")

Einordnung der meisten dieser Suchmaschinen:

[zentralisiert]---[dezentral ]---[föderal   ]
      [X]
[Usability    ]---[Kompromiss]---[Autonomie ]

-> Usability durch Zentralisierung zulasten von Autonomie

## SearX (30min)

https://searx.me/ - "Privacy-respecting metasearch engine"

Einordnung des Konzepts?

[zentralisiert]---[dezentral]---[föderal]
                <-?-[Fokus]-?->
[Usability    ]-<-[Kompromiss]->-[Autonomie ]

### Instanzen finden und suchen

Aufgabe 1: Suchen Sie auf einer von Ihnen gewählten SearX-Instanz von der Liste https://searx.space/ "munter drauf los" nach einem bestimmten Thema via Searx-Standardsuche (Bsp.: "Reisen in Land X", "Demo pro/contra Y", "Lieblingsschauspieler*in") und vergleichen Sie die Ergebnisse mit denen von ihrer überlicherweise verwendeten Suchmaschine. Notieren Sie den Eindruck Ihrer ersten Searx-Erfahrung stichpunktartig unter dieser Aufgabe im EtherPad und geben Sie Bescheid, wenn Sie fertig sind (5min).
Bsp: "Ich habe searx.example.com genutzt, nutze sonst Google und hatte bei der Suche auf searx.example.com etwas andere Suchergebnisse bekommen."

### Verwendete Suchmaschinen justieren

ursprüngliche Beschreibung: "Privacy-respecting, hackable metasearch engine / pronunciation səːks." -> "hackable"?

Aufgabe 2: Justieren Sie die von Ihnen gewählte SearX-Instanz oben rechts über den Menüpunkt "Preferences" (nicht vergessen, den "Suchmaschinencocktail" ganz unten auf der Seite zu speichern - diese persönlichen Einstellungen werden nun in einem Cookie gespeichert). Suchen Sie nochmals nach dem in Aufgabe 1 gewählten Sachverhalt und vergleichen Sie Ihre zweite Searx-Erfahrung mit der ersten. Notieren Sie auch zu dieser Aufgabe stichpunktartig Ihre (neuen/abweichenden) Eindrücke unter dieser Aufgabe und geben Sie Bescheid, wenn Sie fertig sind (5min).

### Mit Searx-Parametern arbeiten

Aufgabe 3: Suchen Sie den von Ihnen verwendeten Sachverhalt nur auf einer der von Searx nutzbaren Quellen über den Befehl !<Suchmaschinenkürzel> in Kombination mit einer bestimmten Sprachvorgabe über den Befehl :<Sprachcode>. Beispiel:

"!wp :de Searx" sucht nach dem Begriff "Search" in der deutschsprachigen Wikipedia.

Doku dazu: https://searx.github.io/searx/user/search_syntax.html

## YaCy (20min)

https://yacy.net/ - "Decentralized Web Search"

Installation auf eigenem Rechner: https://yacy.net/download_installation/
Aufruf der lokal installierten/betriebenen YaCy-Instanz über den Webbrowser via: http://localhost:8090/
Demo-Instanz: https://yacy.searchlab.eu/Status.html (eingeschränkt nutzbar)

Einordnung des Konzepts?

[zentralisiert]---[dezentral ]---[föderal   ]
                <-?-[Fokus]-?->
[Usability    ]-<-[Kompromiss]->-[Autonomie ]

### Suchen mit YaCy

Aufgabe 4: Suchen Sie nochmals nach dem in Aufgabe 1 gewählten Sachverhalt via YaCy und vergleichen Sie Ihre YaCy-Sucherfahrung mit der ersten bzw. zweiten via Searx. Notieren Sie auch zu dieser Aufgabe stichpunktartig Ihre Eindrücke unter dieser Aufgabe und geben Sie Bescheid, wenn Sie fertig sind (5min).
Achtung: Falls Sie zu einem Suchbegriff überhaupt nichts finden, aber aus der Erinnerung sicher sind, dass es hierzu mindestens eine gute Seiten geben muss, notieren Sie sich diese (wir behandeln dieses Problem in der nächsten Aufgabe).

### Seiten mit YaCy indexieren ("crawlen")

Aufgabe 5: Indexieren/crawlen Sie über eine von Ihnen gewählte Seite (idealerweise eine weniger bekannte, bspw. ihre alte, nicht mehr gepflegte private Homepage, die noch im Netz "herumgeistert"). Beobachten Sie die Verknüpfungen, die YaCy sichtbar werden lässt. Notieren Sie auch zu dieser Aufgabe stichpunktartig Ihre Eindrücke unter dieser Aufgabe und geben Sie Bescheid, wenn Sie fertig sind (5min).

Die Crawl- bzw. Indexierungs-Funktion einer neuen Seite finden Sie über:
-> "Administration"
-> "Load Web Pages, Crawler" (oben links)
-> unter "Start URL" eine Seite (beginnend mit http(s):// etc.) angeben
-> mit "Start New Crawl" starten

## Diskussion (30min via Mumble)

Aufgabe 5: Diskutieren Sie vor dem Hintergrund Ihrer heutigen Sucherfahrungen die Relevanz von dezentralen Suchmaschinen wie SearX und föderalen Suchmaschinen wie YaCy im Hinblick auf das Verhältnis von Usability und Autonomie im Alltag:

[zentralisiert]---[dezentral ]---[föderal   ]
                <-?-[Fokus]-?->
[Usability    ]-<-[Kompromiss]->-[Autonomie ]

Anders formuliert: Wie *fühlen* sich die Alternativen an, wenn Sie sie mit den Ihnen gewohnten Suchmaschinen aus der Eingangsfrage vergleichen?
Versuchen Sie stichpunktartig Ihre Argumente unter diesem Abschnitt zu notieren. (in Gruppen, 10min)

Gruppe 01

Gruppe 02

Gruppe 03

Gruppe 04

Gruppe 05
