Verlaufsplanung zur Online-Veranstaltung "Digitale Autonomie durch Freie Software" (WiSe 2020/21)

KW 08 (2021-02-25): Kommunikation mit Entwickler*innen Freier Software: Verbesserungen vorschlagen und Fehler melden in Software-Repositories und Issue-Tracking-Systemen

Freigegeben unter CC BY-SA 4.0, Autor: Roland Hummel (rh AT fsfe.org), stud. Initiative #gnuHU (hu.berlin/gnuHU/)

Letzte Aktualisierung: 1. Mrz. 2021

# Ziele

Die TN sollen am Ende dieser Stunde,

1. wissen, wie man mit Entwickler*innen über div. Software-Repositories und ihren Issue-Tracking-Systemen (ITS) sinnvoll in Kontakt tritt,

2. wissen, wie man einen Verbesserungsvorschlag formuliert.

# Sitzungsplanung (90min)

## Begrüßung (10min via BigBlueButton)

- letzte Sitzung, Danke fürs Durchhalten
- Gastvoträge online: Links s. Moodle oder https://hu.berlin/digiauton2020-21 -> Themen
- Kritische Kommentarbeiträge für https://hu.berlin/digiauton2020-21 willkommen (analog zu https://hu.berlin/digiauton2020 )

## Kommunikation mit Entwickler*innen (40min via BigBlueButton mit Wechsel zu Mumble)

### Beispiele für Issue-Tracking-Systeme (ITS)

- „Fehler-Verfolgungs-System“: https://de.wikipedia.org/wiki/Issue-Tracking-System
- wie bei Freier Software üblich gibt es mehrere Arten, die dezentral auf eigenen Servern betrieben werden können
- oft angekoppelt an Entwicklungsplattformen, die wiederum Ähnlichkeiten zu klass. Sozialen Netzwerke haben, bspw. https://de.wikipedia.org/wiki/GitLab
- LibreOffice nutzt "Bugzilla": https://documentfoundation.org/ -> Q&A -> Stichwortsuche "bugs" -> https://bugs.documentfoundation.org/

Aufgabe:

Aufgabe: Suchen Sie zu *einem* in der Veranstaltung behandelten Programm oder zu einer anderen Freie Software Ihrer Wahl den "Issue-Tracker" heraus und schreiben Sie die Links analog zum genannten Beispiel ins EtherPad (einzeln, 10min).

Lösungsbeispiele:

Audacity: https://github.com/audacity/audacity/issues
BigBlueButton: https://github.com/bigbluebutton/bigbluebutton/
Etherpad(-lite): https://github.com/ether/etherpad-lite/issues
CryptPad: https://github.com/xwiki-labs/cryptpad
SearX: https://github.com/asciimoo/searx/issues
YaCy: https://github.com/yacy/yacy_search_server/issues

### Beispiel Verbesserungsvorschlag für LibreOffice Impress (Fortsetzung SoSe 2020)

Problemfall: In Impress-Präsentationen integrierte Mediendateien werden nicht zwingend auf anderen Systemen abgespielt, auch wenn diese die eingebetteten Medienformate durchaus abspielen können.

Einem Fehlerbericht sollte eine Recherche nach bekannten Probleme auf den Projektseiten der jeweiligen Software vorausgehen, in diesem Fall bspw. in: 

- https://ask.libreoffice.org/
- https://bugs.documentfoundation.org/ 

- Suchphrase: "impress embedded media"
-- https://ask.libreoffice.org/en/question/200165/audio-fails-to-launch-when-copied-to-another-computer/
-- https://ask.libreoffice.org/en/question/854/what-video-formats-does-libreoffice-impress-support/
-- https://ask.libreoffice.org/en/question/209081/portable-impress-videos-dont-play/
-> vorhandene Probleme ähnlich, aber nicht ganz der geschilderte Problemfall

- Eintrag via https://bugs.documentfoundation.org/ : https://bugs.documentfoundation.org/show_bug.cgi?id=134877

-> Für die Aufgabe Wechsel zu Mumble: https://hu.berlin/ifee-online/

Aufgabe: Tauschen Sie sich in der Gruppe zu beobachteten (Usability-)Problemen mit Freier Software aus und formulieren Sie gemeinschaftlich zu einem bestimmten Problem einen kurzen Verbesserungsvorschlag im EtherPad. (Gruppenarbeit, 10min)

Hinweis: Versuchen Sie sich in die Lage derjenigen Person zu versetzen, die den Vorschlag liest.

## Abschlussreflexion: Grenzen Freier Software? (30min via Mumble)

Diskutieren Sie das Potential bzw. die Grenzen Freier Software vor dem Hintergrund Ihrer Seminarerfahrungen. Als Hilfestellung bzw. Ausgangspunkt können Ihnen folgende Zuschriften von Seminarteilnehmer*innen dienen:

> Die Grundannahme deiner Initiative, dass der digitale Raum für die'Existenz des Individuums und damit für die Zivilgesellschaft im digitalen Zeitalter konstituierend ist, teile ich weitgehend. Auch, dass deshalb die Freiheit des Individuums in letzter Instanz nur durch freie Software gesichert werden kann. Hier würde ich aber noch einen Schritt weiter gehen: dass es nicht nur darum geht, freie Software zu stärken und zu entwickeln, sondern die durch Big Tech geschaffenen Strukturen zu vergesellschaften, und einer demokratischen Kontrolle durch die Gesellschaft zu unterwerfen. Hier sehe ich es wie mit dem Boden und den Wohnungsbeständen in urbanen Gegenden: dies muss dem Markt entzogen werden, um die gerechte Versorgung der Gesellschaft und die progressive Entwicklung ihrer Mitglieder zu garantieren. (Quelle: Aktivist von "Berlin vs. Amazon": www.berlinvsamazon.com, der ungenannt bleiben wollte)

-> Kernfrage des Beitrags: Wo liegen die Grenzen dessen, was man durch Freie Software zur "digitalen Autonomie" beitragen kann?

> Ich wollte hauptsächlich den Punkt stark machen, dass weniger die Bubbles bzw. die filternden Voreinstellungen das Problem sind, sondern, dass diese Voreinstellungen weder einsehbar, noch veränderbar sind.
Dass verschiedene Menschen die Welt verschieden wahrnehmen und somit in verschiedenen »Illusionen« leben, ist auch in der nicht digitalen Welt kaum zu vermeiden (selbst ohne Werbung, politische Propaganda oder ähnlich gemeine Mechanismen). Das ist aber auch in Ordnung, solange sie die Möglichkeit haben diese Illusionen zu reflektieren und zu verändern. Das schreibe ich dir deswegen so ausführlich, weil ich denke, dass das Bubble-Argument häufig auf irreführende Weise als Hauptargument für freie Software oder etwas vager allgemein gegen die bösen Konzerne vorgebracht wird und das aber Leute gerne mit einem Geht-halt-nicht-anders-Achselzucken wegwischen und sich dann nicht weiter dafür interessieren.
Autonom ist man aber nicht dadurch, dass man in keiner Bubble ist, sondern dadurch, dass man die eigene Bubble reflektiert und kritisch transformieren kann, was durch nicht-freie Software&Co erschwert oder verhindert wird. 

-> Kernfrage des Beitrags: Ist das Problem, was Freier Software lösen soll (Filterblase), überhaupt ein Problem, weil Filterblasen eh immer vorhanden sind? Wie verhält es sich diesbezüglich mit YaCy?

Notieren Sie bitte stichpunktartig Ihre Gedanken im Etherpad-Bereich Ihrer Gruppe (Gruppenarbeit, 10min).

Gruppe01

Gruppe02

Gruppe03

Gruppe04

Gruppe05
